# User Exclusion

## Get

> Retrieves FSLogix Office Container User Exclusion List of a session server with the specified ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/FSLogix/OfficeContainer/UserExclusion":{"get":{"tags":["0-Infrastructure/AVD/Host Pool/FSLogix//Office Container"],"summary":"Get","description":"Retrieves FSLogix Office Container User Exclusion List of a session server with the specified ID.","operationId":"db172f69-2089-4bb4-af8c-dc59a6acae15","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to retrieve the FSLogix Office Container settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserFilter"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"UserFilter":{"type":"object","properties":{"account":{"type":"string","description":"<para type=\"description\">The name of the user/group account the filter is added to.</para>","nullable":true},"type":{"$ref":"#/components/schemas/UserType"},"sid":{"type":"string","description":"<para type=\"description\">The SID of the user/group account the filter is added to.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">User filter</para>\r\n<para type=\"description\"></para>"},"UserType":{"enum":[["1 = User","2 = Group","3 = ForeignSecurityPrincipal","4 = Computer"]],"type":"string","description":"<para type=\"synopsis\">User Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Add

> Add a user to the User Exclusion List of the FSLogix Office Container settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/FSLogix/OfficeContainer/UserExclusion":{"post":{"tags":["0-Infrastructure/AVD/Host Pool/FSLogix//Office Container"],"summary":"Add","description":"Add a user to the User Exclusion List of the FSLogix Office Container settings.","operationId":"6eefa89b-6d26-4b8a-b813-6e7e58487f05","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to modify the FSLogix Office Container settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"User configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AddFSLogixUser"}}}},"responses":{"201":{"description":"Created"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AddFSLogixUser":{"type":"object","properties":{"account":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The name of the user/group account to add to the FSLogix Container.</para>","nullable":true},"sid":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The SID of the user/group account to add to the FSLogix Container.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Add a user or group account to the FSLogix user inclusion/exclusion list</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Remove

> Remove a user from the User Exclusion List of the FSLogix Office Container settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/FSLogix/OfficeContainer/UserExclusion":{"delete":{"tags":["0-Infrastructure/AVD/Host Pool/FSLogix//Office Container"],"summary":"Remove","description":"Remove a user from the User Exclusion List of the FSLogix Office Container settings.","operationId":"76963764-16d2-40d6-bf6b-48c8cf782e42","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to modify the FSLogix Office Container settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"User configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RemoveFSLogixUser"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RemoveFSLogixUser":{"type":"object","properties":{"account":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The name of the user/group account to remove from the FSLogix Container.</para>","nullable":true},"sid":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The SID of the user/group account to remove from the FSLogix Container.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Remove a user from the FSLogix user inclusion list</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/avd/host-pool/fslogix/office-container/user-exclusion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
